## org.eclipse.jst.jsf.facesconfig.emf
Interface RedirectViewParamType

All Known Implementing Classes:
  RedirectViewParamTypeImpl

    public interface RedirectViewParamType

A representation of the model object 'Redirect View Param Type'.

The following features are supported:

- `Name`
- `Value`
- `Id`

See Also:
  `FacesConfigPackage.getRedirectViewParamType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`NameType` `getName()` Returns the value of the 'Name' containment reference
`ValueType` `getValue()` Returns the value of the 'Value' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setName(NameType value)` Sets the value of the '`Name`' containment reference
`void` `setValue(ValueType value)` Sets the value of the '`Value`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    NameType getName()

  Returns the value of the 'Name' containment reference.

  If the meaning of the 'Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(NameType)`, `FacesConfigPackage.getRedirectViewParamType_Name()`

### setName

    void setName(NameType value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getValue

    ValueType getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(ValueType)`, `FacesConfigPackage.getRedirectViewParamType_Value()`

### setValue

    void setValue(ValueType value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getRedirectViewParamType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`